/*
 * Main:
 * Calls an asm function with two unsigned parameters.
 * Gets the result from ASM function and prints it.
 *
 * ASM:
 * Takes in two parameters.
 * Calls and XC function with these two parameters.
 * The XC function will add these two numbers and return the result to calling ASM function.
 * The ASM will return this result to calling XC function.
 */
#include <print.h>

extern unsigned asm_call_xc_from_asm(unsigned a, unsigned b);

unsigned add_two_nos(unsigned a, unsigned b)
{
  return (a + b);
}

int main(void)
{
  int num1 = 50, num2 = 49, result;
  result = asm_call_xc_from_asm(num1, num2);
  printintln(result);
  return 0;
}
