/*
 * Main:
 * Calls an asm function with an index.
 * Gets two results from ASM function and prints it.
 *
 * ASM:
 * Takes in the index.
 * Gets data from two constant pools.
 * Returns these two data.
 */
#include <print.h>
#include <xs1.h>
#include <platform.h>

{unsigned, unsigned} asm_cp(unsigned index);

unsigned constant_data1[10] = {11, 22, 33, 44, 55, 66, 77, 88, 99,  110};
unsigned constant_data2[10] = {12, 23, 34, 45, 56, 67, 78, 89, 100, 111};

int main()
{
  unsigned result1, result2;
  for(int i = 0; i < 10; i++)
  {
    {result1, result2} = asm_cp(i);
    printint(result1); printstr(", "); printintln(result2);
  }
  return 0;
}
