//void asm_event_channel(chanend c_source1, chanend c_source2, chanend c_printer);
//r0 c_source1
//r1 c_source2
//r2 c_printer

#define c_source1 r0
#define c_source2 r1
#define c_printer r2
#define source    r3
#define data      r4

.align 4
.globl asm_event_channel
.type  asm_event_channel, @function
.cc_top asm_event_channel.function

asm_event_channel:
entsp 0

asm_event_channel_setup:
ldap r11, data_from_c_source1
setv res[c_source1], r11

ldap r11, data_from_c_source2
setv res[c_source2], r11

clre
eeu res[c_source1]
eeu res[c_source2]

asm_event_channel_loop:
waiteu

data_from_c_source1:
chkct res[c_source1], 0x1
outct res[c_source1], 0x1
in data, res[c_source1]
chkct res[c_source1], 0x1
outct res[c_source1], 0x1
ldc source, 1
bu data_out_to_printer

data_from_c_source2:
chkct res[c_source2], 0x1
outct res[c_source2], 0x1
in data, res[c_source2]
chkct res[c_source2], 0x1
outct res[c_source2], 0x1
ldc source, 2
bu data_out_to_printer

data_out_to_printer:
outct res[c_printer], 0x1
chkct res[c_printer], 0x1
out res[c_printer], source
outct res[c_printer], 0x1
chkct res[c_printer], 0x1

outct res[c_printer], 0x1
chkct res[c_printer], 0x1
out res[c_printer], data
outct res[c_printer], 0x1
chkct res[c_printer], 0x1

bu asm_event_channel_loop

//never get here
retsp 0

.globl asm_event_channel.nstackwords
.set asm_event_channel.nstackwords, 0
.size asm_event_channel, .-asm_event_channel
.cc_bottom asm_event_channel.function
