//void void asm_event_port_clocked_rx(in port rx, chanend c_printer, unsigned loop);
//r0 rx
//r1 c_printer
//r2 loop

#define port_rx   r0
#define c_printer r1
#define loop      r2
#define data      r3
#define setdreg   r4
#define dummy     r5

.align 4
.globl asm_event_port_clocked_rx
.type  asm_event_port_clocked_rx, @function
.cc_top asm_event_port_clocked_rx.function

asm_event_port_clocked_rx:
entsp 0
ldc data, 1

asm_event_port_clocked_rx_setup:
bf loop, return
clre
eeu res[port_rx]
mkmsk setdreg, 0x1
setd res[port_rx], setdreg
setc res[port_rx], 0x11
ldap r11, event_on_port
setv res[port_rx], r11
waiteu

event_on_port:
in dummy, res[port_rx]
sub loop, loop, 1

outct res[c_printer], 0x1
chkct res[c_printer], 0x1
out res[c_printer], data
outct res[c_printer], 0x1
chkct res[c_printer], 0x1

ldc setdreg, 0
setd res[port_rx], setdreg
setc res[port_rx], 0x11
in dummy, res[port_rx]

bu asm_event_port_clocked_rx_setup

return:
ldc data, 0
outct res[c_printer], 0x1
chkct res[c_printer], 0x1
out res[c_printer], data
outct res[c_printer], 0x1
chkct res[c_printer], 0x1
retsp 0

.globl asm_event_port_clocked_rx.nstackwords
.set asm_event_port_clocked_rx.nstackwords, 0
.size asm_event_port_clocked_rx, .-asm_event_port_clocked_rx
.cc_bottom asm_event_port_clocked_rx.function
