//void asm_event_port_clocked_tx(out port tx, unsigned loop);
//r0 tx
//r1 unsigned loop

#define port_tx   r0
#define loop      r1
#define one       r2
#define zero      r3
#define port_time r4
#define jump      r5

.align 4
.globl asm_event_port_clocked_tx
.type  asm_event_port_clocked_tx, @function
.cc_top asm_event_port_clocked_tx.function

asm_event_port_clocked_tx:
entsp 0
ldc one, 1
ldc zero, 0
ldc jump, 1

out res[port_tx], zero
getts port_time, res[port_tx]

asm_event_port_clocked_tx_loop:
bf loop, return
add port_time, port_time, jump
setpt res[port_tx], port_time
out res[port_tx], one
add port_time, port_time, jump
setpt res[port_tx], port_time
out res[port_tx], zero
sub loop, loop, 1
bu asm_event_port_clocked_tx_loop

//never get here
return:
retsp 0

.globl asm_event_port_clocked_tx.nstackwords
.set asm_event_port_clocked_tx.nstackwords, 0
.size asm_event_port_clocked_tx, .-asm_event_port_clocked_tx
.cc_bottom asm_event_port_clocked_tx.function
